%define majver %(echo %version | cut -d. -f1-2)
Name:          FlightGear
Version:       2020.3.12
Release:       1mamba
Summary:       Flight Simulator
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.flightgear.org/
Source0:	   https://downloads.sourceforge.net/project/flightgear/release-%{majver}/flightgear-%{version}.tar.bz2
Source1:	   https://downloads.sourceforge.net/project/flightgear/release-%{majver}/FlightGear-%{version}-data.txz
#Source2:       flight.png
Patch0:        FlightGear-3.4.0-fgviewer-find-lX11.patch
Patch1:        FlightGear-2020.3.9-aarch64-rpi.patch
Patch2:        FlightGear-2020.3.11-fix_childrenLoaded_assert.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGLU-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXmu-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libevent-devel
BuildRequires: libfreeglut-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglew-devel
BuildRequires: libglvnd-devel
BuildRequires: libgsm-devel
BuildRequires: liblzma-devel
BuildRequires: libopenal-devel
BuildRequires: libosg-devel
BuildRequires: libplib-devel
BuildRequires: libpng-devel
BuildRequires: libqt5-devel
BuildRequires: libspeex-devel
BuildRequires: libspeexdsp-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libSimGear-devel = %{version}
BuildRequires: libfltk-devel >= 1.3.3-2mamba
BuildRequires: libosg-devel >= 3.6.5
Requires:      %{name}-data = %{?epoch:%epoch:}%{version}-%{release}
Requires:      alsa-oss

%description
The FlightGear flight simulator project is an open-source, multi-platform, cooperative flight simulator development project.

%package data
Group:          Graphical Desktop/Applications/Games
Summary:        Maps for %{name}

%description data
The FlightGear flight simulator project is an open-source, multi-platform, cooperative flight simulator development project.
This package contains maps and scenary for FlightGear.

%debug_package

%prep
%setup -q -a1 -n flightgear-%{version}
#% setup -q -n flightgear-%{vers#ion} -D -T
#:<< _EOF
#%patch0 -p1
%patch1 -p1
#%patch2 -p1

%build
#:<< _EOF
%cmake -d build \
   -DCMAKE_EXE_LINKER_FLAGS="-lX11"
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall -C build

install -d 644 %{buildroot}%{_libdir}/%{name}
cp -r fgdata/* %{buildroot}%{_libdir}/%{name}

install -D -m0755 ./build/src/GUI/libfglauncherd.so %{buildroot}%{_libdir}/libfglauncherd.so
install -D -m0755 ./build/src/GUI/libfgqmluid.so %{buildroot}%{_libdir}/libfgqmluid.so

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libfglauncherd.so
%{_libdir}/libfgqmluid.so
%{_datadir}/applications/org.flightgear.FlightGear.desktop
%{_datadir}/metainfo/org.flightgear.FlightGear.metainfo.xml
%{_datadir}/bash-completion/completions/fgfs
%{_datadir}/zsh/site-functions/_fgfs
%{_datadir}/icons/hicolor/*/apps/flightgear.png
%{_datadir}/icons/hicolor/scalable/apps/flightgear.svg
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%lang(it) %{_mandir}/it/man1/*.1*
%lang(it) %{_mandir}/it/man5/*.5*
%doc AUTHORS COPYING

%files data
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*

%changelog
* Sun Feb 13 2022 Automatic Build System <autodist@mambasoft.it> 2020.3.12-1mamba
- automatic version update by autodist

* Sun Oct 31 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.3.11-1mamba
- update to 2020.3.11

* Tue Jun 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.3.9-2mamba
- rebuilt with OpenSceneGraph 3.6.5

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 2020.3.9-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2020.3.8-1mamba
- update to 2020.3.8

* Fri Mar 04 2016 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2016.1.1-1mamba
- update to 2016.1.1

* Sat Feb 13 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0-2mamba
- install libfglauncher.so

* Sat Mar 21 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Tue Mar 25 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- update to 3.0.0

* Fri May 24 2013 openmamba WebBuild System <webbuild@openmamba.org> 2.10.0-2mamba
- Rebuild with new libstdc++

* Tue Apr 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.0-1mamba
- update to 2.10.0

* Tue Apr 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-2mamba
- rebuilt with OpenScenGraph 3.1.5 and libSimGear 2.10

* Mon Dec 03 2012 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- update to 2.8.0

* Thu Jun 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Sat May 09 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-4mamba
- rebuilt with OpenSceneGraph 2.9.4

* Sat Apr 18 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-3mamba
- automatic rebuild by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-2mamba
- automatic rebuild by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.1-1mamba
- update to 1.9.1

* Thu Jan 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-2mamba
- automatic rebuild by autodist

* Tue Jan 06 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.0-1mamba
- update to 1.9.0

* Mon Jan 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- update to 1.0.0

* Tue Sep 06 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.9.8-2qilnx
- rebuild and moved from devel-contrib repository to devel repository

* Sat Sep 03 2005 Tiziano Pratellesi <tiziano.pratellesi@email.it> 0.9.8-1qilnx
- package created by autospec
